> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://typeform.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://typeform.ferndocs.com/_mcp/server.

# Retrieve workspace

GET https://api.typeform.com/workspaces/{workspace_id}

Retrieve a workspace.

Reference: https://typeform.ferndocs.com/documentation/create-api/api-reference/workspaces/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
- `Authorization` header (required) — A string representation of JWT containing at least two parameters: `ctx.user_id` — user's id `ctx.account_id` — user's default account id `ctx.account_uid` — user's default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it's needed. This JWT must be signed by the appropriate authority.

## Request

### Path parameters

- `workspace_id` (string, required) — Unique ID for the workspace.

## Response

### 200

OK

- `forms` (WorkspacesWorkspaceIdGetResponsesContentApplicationJsonSchemaForms, optional)
- `id` (string, optional) — Unique identifier for the workspace.
- `name` (string, optional) — Name of the workspace.
- `self` (WorkspacesWorkspaceIdGetResponsesContentApplicationJsonSchemaSelf, optional)
- `shared` (boolean, optional) — If the workspace is shared with a team, `true`. Otherwise, `false`.
- `account_id` (string, optional) — ID in the ULID format of the account where workspace belongs to.
- `members` (list of WorkspacesWorkspaceIdGetResponsesContentApplicationJsonSchemaMembersItems, optional)

## Types

### WorkspacesWorkspaceIdGetResponsesContentApplicationJsonSchemaForms

- `count` (integer, optional) — Number of typeforms in the workspace.
- `href` (string, optional) — Link to typeforms in the workspace.

### WorkspacesWorkspaceIdGetResponsesContentApplicationJsonSchemaSelf

- `href` (string, optional) — Link to the workspace.

### WorkspacesWorkspaceIdGetResponsesContentApplicationJsonSchemaMembersItems

- `email` (string, optional)
- `name` (string, optional)
- `role` (enum, optional)
  - Allowed values: `owner`, `member`

## Examples

**Response**

```json
{
  "forms": {
    "count": 1,
    "href": "string"
  },
  "id": "string",
  "name": "string",
  "self": {
    "href": "string"
  },
  "shared": true,
  "account_id": "string",
  "members": [
    {
      "email": "string",
      "name": "string",
      "role": "owner"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.typeform.com/workspaces/9105498"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.typeform.com/workspaces/9105498';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.typeform.com/workspaces/9105498"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.typeform.com/workspaces/9105498")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.typeform.com/workspaces/9105498")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.typeform.com/workspaces/9105498', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.typeform.com/workspaces/9105498");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.typeform.com/workspaces/9105498")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```